## gforth 0.7.0%2Bds2

=== debian/changelog ===
gforth (0.7.0+ds2-0.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove non DFSG-compliant doc/gforth.ds, doc/gforth.info*, doc/gforth.ps,
    doc/vmgen.info, doc/vmgen.ps, and doc/vmgen.texi from source. The gforth
    binary package doesn't ship the /usr/share/info doc anymore because of
    that. Closes: #695724

 -- David Prévot <taffit@debian.org>  Sun, 30 Dec 2012 13:17:23 -0400

gforth (0.7.0+ds1-7) unstable; urgency=low

  * Apply an upstream patch to fix a FTBFS; Closes: #672616
    - add the 11-static-newline patch to define the system newline
      string as static
    - temporarily build-depend on the GForth interpreter to be able to
      rebuild the kernel images properly after applying the patch
    - stash and restore the generated files affected by the patch

 -- Peter Pentchev <roam@ringlet.net>  Tue, 04 Sep 2012 17:52:59 +0300

gforth (0.7.0+ds1-6) unstable; urgency=low

  * Fix the watch file syntax so the +ds1 part is properly stripped off.
  * Convert to the 3.0 (quilt) format.
  * Make gforth.el register the .fs, .4th, and .fth filename suffixes.
    Closes: #587318
  * Bump Standards-Version to 3.9.2:
    - gforth-common now Breaks older gforth versions, no longer Conflicts
      with them
  * Use dpkg-buildflags from dpkg-dev 1.15.7 to obtain the default values
    for CFLAGS, CPPFLAGS, and LDFLAGS.
  * Update the copyright file:
    - bring it up to the latest version of the DEP 5 format
    - use the proper GFDL-NIV short license name instead of just GFDL,
      as spotted by Nicholas Bamber (periapt)
    - fix the DEP 5 URL after the Alioth migration
    - bump the year on my copyright notice
  * Use the debhelper plugin provided by autotools-dev >= 20100122.1 to
    refresh the config.sub and config.guess files.
  * Also byte-compile the emacs mode for emacs-snapshot.  Closes: #615142
  * Acknowledge the NMU; thanks, Luk!
  * libffcall1 seems to build fine on armel now, so use it everywhere.
  * Bump the debhelper compatibility level to 9:
    - reorder the dh helper arguments to place the sequence name first
    - use the still not-quite-finalized level 9 instead of the recommended 8
      because of multiarch support in dh_auto_configure
  * Switch to bzip2 compression for the Debian tarball.
  * Convert to multiarch:
    - move /usr/lib/*/gforth/ to a new gforth-lib package and mark it as
      Multi-Arch: same
    - mark gforth and gforth-common as Multi-Arch: foreign
    - add the 10-engine-subst patch to fix the libdir handling in engine/
    - use debhelper compatibility level 9 for dh_auto_configure
  * Override some more Lintian warnings:
    - more "unusual interpreter" for GForth and its kernel
    - no debhelper 9 dependency yet, the compatibility level is for
      multiarch only
    - add some comments explaining the overrides as suggested by
      Nicholas Bamber (periapt)
  * Move the Debian packaging to Gitorious and update the Vcs-Git and
    Vcs-Browser URLs.
  * Add DEP-3 headers to the rest of the patches as prompted by
    Nicholas Bamber (periapt)

 -- Peter Pentchev <roam@ringlet.net>  Mon, 18 Jul 2011 17:51:22 +0300

gforth (0.7.0+ds1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621255).

 -- Luk Claes <luk@debian.org>  Mon, 13 Jun 2011 17:56:27 +0200

gforth (0.7.0+ds1-5) unstable; urgency=low

  * Fix the FTBFS on hppa by not passing -N to the linker.
    Many thanks to Frans Pop and the others on the debian-hppa list for
    the assistance in tracking this down!

 -- Peter Pentchev <roam@ringlet.net>  Tue, 08 Sep 2009 16:21:38 +0200

gforth (0.7.0+ds1-4) unstable; urgency=low

  * Try and fix the s390 build once again, this time after testing
    the sdiv_qrnnd() usage code on x86; hopefully Closes: #544827

 -- Peter Pentchev <roam@ringlet.net>  Sat, 05 Sep 2009 18:46:33 +0300

gforth (0.7.0+ds1-3) unstable; urgency=low

  * Explicitly depend on libtool and libltdl-dev; several benefits:
    - make the build environment-agnostic and not dependent on what
      just happens to be installed
    - fix a FTBFS if libtool is installed but libltdl-dev isn't;
      some of the autobuilders are configured that way
  * Add a missing semicolon in engine/support.c to try and fix
    the FTBFS on s390.
  * Temporarily use libffi instead of libffcall on armel, until
    libffcall's issues are resolved.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 01 Sep 2009 17:58:12 +0300

gforth (0.7.0+ds1-2) unstable; urgency=low

  * Fix the FTBFS when building arch-dependent packages only - do not
    depend on dh_installdirs to create the gforth-common /usr/share
    directory, since it won't in an arch-only build.  Closes: #543569

 -- Peter Pentchev <roam@ringlet.net>  Wed, 26 Aug 2009 15:03:13 +0300

gforth (0.7.0+ds1-1) unstable; urgency=low

  * New maintainer.  Closes: #540827
  * Use quilt for patch management and add the debian/README.source file.
  * Fix the build:
    - specify an absolute prefix to "make install".
    - remove a couple of files that "make distclean" seems to miss.
  * Add the Homepage, Vcs-Svn, and Vcs-Browser control fields.
  * Install the NEWS file as an upstream changelog.
  * Deal with config.sub and config.guess properly - copy them from
    the autotools-dev package before running "configure" and remove them
    in the "clean" target.
  * Keep the vmgen.1 manual page in the debian/ directory.
  * Bump the debhelper compatibility level to 7:
    - version the debhelper build dependency
    - add ${misc:Depends} to the binary package
    - leave removing of the *-stamp files to dh_clean
    - use dh_prep instead of dh_clean -k
    - shorten the rules file using the dh(1) helper and override targets
    - disable debhelper's verbose mode
  * Bump Standards-Version to 3.8.3:
    - leave "install-info" to dpkg triggers and add the proper dependency
  * Disable an i*86 "optimization" of passing the nonexistent -m486
    option to gcc.

