=== debian/control ===
Source: gforth
Section: interpreters
Priority: optional
Maintainer: Peter Pentchev <roam@ringlet.net>
Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
    autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
    gforth, libffcall1-dev, libtool, libltdl-dev
Standards-Version: 3.9.2
Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
Vcs-Browser: http://gitorious.org/gforth/pkg-debian

Package: gforth
Architecture: any
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info,
    gforth-common (= ${source:Version}), gforth-lib (= ${binary:Version})
Description: GNU Forth Language Environment
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 For more information about Forth, visit the Forth Interest Group web site 
 at http://www.forth.org/fig.html.

Package: gforth-lib
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: GNU Forth Language Environment architecture-dependent files
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 This package provides the architecture-dependent precompiled libraries.

Package: gforth-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Recommends: gforth (>= ${binary:Version})
Breaks: gforth (<< 0.7.0+ds1-1)
Replaces: gforth (<< 0.7.0+ds1-1)
Description: GNU Forth architecture-independent dictionaries
 This is the GNU'ish implementation of a Forth programming environment.  
 .
 Forth, as a language, is best known for being stack-based, and completely 
 extensible.  Each Forth environment provides one or more dictionaries of
 pre-defined words, and programming in Forth consists of defining and 
 executing new words that are combinations of previously defined words.  It
 has been said that learning Forth changes forever the way you think about 
 writing programs.  
 .
 This package provides the architecture-independent Forth dictionaries.
