=== debian/watch ===
version=3
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/([+]ds[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pasv \
http://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth-?_?([\d+\.]+|\d+)\.(tar|tar.gz|tgz|zip|gz|bz2|) debian uupdate
