## gforth 0.7.0+ds1

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
     autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
-    gforth, libffcall1-dev, libtool, libltdl-dev
+    libffcall1-dev, libtool, libltdl-dev
 Standards-Version: 3.9.2
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
