## gforth 0.7.0+ds2

=== debian/rules ===
--- 
+++ 
@@ -29,6 +29,8 @@
 save-dir=frog$(shellout)
 
 override_dh_auto_configure:
+	[ -f prim.b.backup ] || cp -p prim.b prim.b.backup
+	[ -f engine/prim.i.backup ] || cp -p engine/prim.i engine/prim.i.backup
 ifeq ($(save-dir),frog)
 	install -d debian/kernl-save
 	cp kernl*.fi debian/kernl-save
@@ -41,6 +43,8 @@
 	cp debian/kernl-save/* .
 	rm -r debian/kernl-save
 endif
+	[ ! -f prim.b.backup ] || mv prim.b.backup prim.b
+	[ ! -f engine/prim.i.backup ] || mv engine/prim.i.backup engine/prim.i
 
 override_dh_auto_install:
 	touch $D/usr/lib/gforth/site-forth/site-init.fs
