## gforth 0.7.2%2Bdfsg1

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,10 @@
 Section: interpreters
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 8.1.3~), autoconf, automake,
-    autotools-dev (>= 20100122.1), dpkg-dev (>= 1.15.7~),
-    libffcall1-dev, libtool, libltdl-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), autoconf, automake,
+    dh-autoreconf,
+    libffcall1-dev, libtool, libtool-bin, libltdl-dev
+Standards-Version: 3.9.5
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
 Vcs-Browser: http://gitorious.org/gforth/pkg-debian
@@ -13,7 +13,7 @@
 Package: gforth
 Architecture: any
 Multi-Arch: foreign
-Depends: ${shlibs:Depends}, ${misc:Depends}, dpkg (>= 1.15.4) | install-info,
+Depends: ${shlibs:Depends}, ${misc:Depends}, emacsen-common (>= 2.0.7),
     gforth-common (= ${source:Version}), gforth-lib (= ${binary:Version})
 Description: GNU Forth Language Environment
  This is the GNU'ish implementation of a Forth programming environment.
