=== debian/changelog ===
gforth (0.7.2+dfsg1-1) unstable; urgency=medium

  * Update the copyright file a bit:
    - convert it to the 1.0 format
    - correct some of the copyright notices
    - bump the year of my copyright notice
  * Bump Standards-Version to 3.9.5:
    - remove the dependency on dpkg (>= 1.15.4) | install-info
  * Update the debian/patch/* descriptions a bit:
    - add the 'Description' tag to the 06-configure-assumptions one
    - shorten the description of the 07-manpage one
  * Update the list of build dependencies:
    - actually depend on debhelper 9, not 8.1.3, and remove the now
      outdated debian/source.lintian-overrides file
    - remove the dpkg-dev dependency - the version requirement is
      satisfied even in oldstable
  * Use the hardening flags supplied by debhelper, ask for everything
    except PIE.
  * Remove the debian/source/options file, dpkg-dev's defaults for
    compressing the source and binary packages are good enough.
  * Use dh-autoreconf instead of autotools-dev and retarget
    the 06-configure-assumptions patch.
  * New upstream release:
    - Closes: #726438 (New GNU Forth version available)
    - Closes: #705432 (Please update to 0.7.2)
    - no more CVS directories, so no need to repack the source
    - on second thoughts, repack the source, acknowledging David Prévot's
      NMU (thanks!): remove the non-DFSG documentation.  I will create
      a separate non-free package for that.
    - drop the 10-engine-subst.patch, included upstream
    - drop the 11-static-newline patch, included upstream, and the rules
      file snippet that saves and restores prim.b
    - adapt the 06-configure-assumptions patch
    - refresh the 02-skip-install patch (line numbers only)
    - update the copyright years
    - remove the build dependency on the GForth interpreter introduced
      as a temporary workaround in 0.7.0+ds1-7
  * Let uscan verify the upstream PGP signature against M. Anton Ertl's
    and Bernd Paysan's keys.
  * Update the 02-skip-install patch to not even try to byte-compile
    the gforth.el file - it will be handled correctly at install time.
  * Add the 12-elisp-byte-compile patch to fix the byte compilation with
    Emacs 24 - remove the eval-when-compile wrapper.  Closes: #685090
  * Actually add forth-mode to the autodetected modes at Emacs startup.
    Closes: #587318 (this time for real).
  * Update the Emacs install/remove infrastructure a bit and let gforth
    depend on emacsen-common 2.0.7.  Note to self: update this to 2.0.8
    once it hits the archive.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 18 Mar 2014 13:08:07 +0200
