=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Peter Pentchev <roam@ringlet.net>
 Build-Depends: debhelper (>= 9), autoconf, automake,
     dh-autoreconf,
-    libffcall1-dev, libtool, libtool-bin, libltdl-dev
+    libffcall1-dev, libtool, libltdl-dev
 Standards-Version: 3.9.5
 Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
 Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
