## gforth 0.7.3%2Bdfsg

=== debian/watch ===
version=4
opts=dversionmangle=s/([+](ds|dfsg)[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pgpsigurlmangle=s/$/.sig/,pasv \
https://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
