## gforth 0.7.3+dfsg

=== debian/changelog ===
gforth (0.7.3+dfsg-3) unstable; urgency=medium

  * Actually install the gforth.el file!  Closes: #820870

 -- Peter Pentchev <roam@ringlet.net>  Wed, 13 Apr 2016 16:49:47 +0300

gforth (0.7.3+dfsg-2) unstable; urgency=medium

  * Fix the arch-all-only FTBFS - no libtool files in gforth-common.
    Closes: #820787
  * Update the watch file to version 4 and use pgpmode=auto to let uscan
    find the *.sig URL by itself.

 -- Peter Pentchev <roam@ringlet.net>  Tue, 12 Apr 2016 15:27:56 +0300

gforth (0.7.3+dfsg-1) unstable; urgency=medium

  * Drop the no longer needed misc:Pre-Depends (see #783898) and go back
    to overriding the dh_makeshlibs call with no action at all.
  * Declare compliance with Debian Policy 3.9.8 with no changes.
  * Switch Vcs-* to my full-source GitLab repository.
  * Rename the "other" licenses in the copyright file since they are,
    indeed, different, although the same in spirit.
  * Add the 13-env-cflags patch to pass the compiler and linker flags
    when building the temporary object files used for calling external
    functions from Forth.
  * Enable PIE in the hardening flags.
  * Override the "no fortify functions" false positive for the socket.so
    built by gforth's libcc interface; the gethostname() call there is
    indeed safe.
  * Override the "unstripped static library" Lintian warnings for
    the dynamically generated libcc-named/* stubs for external functions.
  * Bump the debhelper build dependency to 9.20160403 for the latest and
    greatest in autoreconf and autotools-dev support.
  * Add an autopkgtest suite running the installed GForth test scripts.
  * Switch the upstream VCS URL in the 04-minus-number to the Savannah
    Git repository.
  * Drop an incorrect Origin header from the 09-elisp-auto-mode patch.
  * Use the HTTPS scheme for many URLs in debian/* files.
  * Add an upstream metadata file.
  * Switch to libffi-dev; it seems to be available on all architectures,
    unlike libffcall1-dev.  Closes: #784652
  * Drop the explicit build dependencies on autoconf and automake;
    debhelper and dh-autoreconf will take care of what is needed.
  * Teach uscan to exclude the non-DFSG documentation.
  * New upstream release:
    - Closes: #783435
    - drop the 12-elisp-byte-compile patch, integrated upstream
  * Bump the year on my debian/* copyright notice.
  * Most of the dh_auto_install override in debian/rules was actually
    doing dh_install's work, so move it to a dh_install override.
  * Fix the separate building of arch:all and arch:any packages.
    Closes: #806031
  * Fix a typo in the header of the 06-configure-assumptions patch.
  * Bump the debhelper compatibility level to 10:
    - drop the dh-autoreconf dependency and invocation
    - add --no-parallel to the dh invocation
    - override the Lintian warning about the versioned dependency
    - do not override the Lintian false positives about outdated
      autotools helper files, see #820441

 -- Peter Pentchev <roam@ringlet.net>  Sat, 09 Apr 2016 21:27:26 +0300

gforth (0.7.2+dfsg1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761751.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:29:55 +0000
