=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: interpreters
 Priority: optional
 Maintainer: Peter Pentchev <roam@ringlet.net>
-Build-Depends: debhelper (>= 9), autoconf, automake,
-    dh-autoreconf,
-    libffcall1-dev, libtool, libltdl-dev
-Standards-Version: 3.9.5
-Homepage: http://www.complang.tuwien.ac.at/projects/forth.html
-Vcs-Git: git://gitorious.org/gforth/pkg-debian.git
-Vcs-Browser: http://gitorious.org/gforth/pkg-debian
+Build-Depends: debhelper (>= 9.20160403~),
+    libffi-dev, libtool, libtool-bin, libltdl-dev
+Standards-Version: 3.9.8
+Homepage: https://www.complang.tuwien.ac.at/projects/forth.html
+Vcs-Git: https://gitlab.com/gforth/pkg-debian-full.git
+Vcs-Browser: https://gitlab.com/gforth/pkg-debian-full
+Testsuite: autopkgtest
 
 Package: gforth
 Architecture: any
@@ -31,7 +31,6 @@
 Package: gforth-lib
 Architecture: any
 Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: GNU Forth Language Environment architecture-dependent files
  This is the GNU'ish implementation of a Forth programming environment.
