=== debian/watch ===
version=4
opts=uversionmangle=s/\.(tar.*|tgz|zip|gz|bz2)$//i,dversionmangle=s/([+](ds|dfsg)[0-9]*)?([-.+~]?(cvs|svn|git|snapshot|pre|hg)(.*))?$//i,pgpmode=auto,pasv \
https://www.complang.tuwien.ac.at/forth/gforth/ (?:.*/)?gforth-?_?([\d+\.]+|\d+)\.(tar|tar.gz|tgz|zip|gz|bz2|) debian uupdate
